Bug 145439 - Contains insecure RPATHs
Contains insecure RPATHs
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: Security
: 152008 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-01-18 10:25 EST by Enrico Scholz
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.1.5-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-24 09:27:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fix for RPATH build problem (it causes some unpackaged files, which can be solved easily) (952 bytes, text/plain)
2005-03-24 07:34 EST, Enrico Scholz
no flags Details
proposed spec fix (1.83 KB, patch)
2005-03-24 07:39 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Enrico Scholz 2005-01-18 10:25:47 EST
Description of problem:


| + /usr/lib/rpm/check-rpaths
| WARNING: file '/usr/lib/gphoto2_port/0.5.1/libgphoto2_port_serial.so' contains an invalid rpath '/var/tmp/gphoto2-2.1.5-root/usr/lib' in [/var/tmp/gphoto2-2.1.5-root/usr/lib]
| WARNING: file '/usr/lib/gphoto2_port/0.5.1/libgphoto2_port_usb.so' contains an invalid rpath '/var/tmp/gphoto2-2.1.5-root/usr/lib' in [/var/tmp/gphoto2-2.1.5-root/usr/lib]


| $ readelf -d /usr/lib/gphoto2/*/libgphoto2_agfa_cl20.so
| 0x0000000f (RPATH)                      Library rpath: [/usr/src/build/467105-i386/install/usr/lib]

Version-Release number of selected component (if applicable):

Comment 1 Tim Waugh 2005-03-24 06:07:40 EST
*** Bug 152008 has been marked as a duplicate of this bug. ***
Comment 2 Enrico Scholz 2005-03-24 07:34:11 EST
Created attachment 112288 [details]
Fix for RPATH build problem (it causes some unpackaged files, which can be solved easily)

Fix is trivial and can be described by the following words: "Never use
%makeinstall, 'make DESTDIR=$RPM_BUILD_ROOT' is the better solution".
Comment 3 Michael Schwendt 2005-03-24 07:39:49 EST
Created attachment 112289 [details]
proposed spec fix

Attached patch fixes it. On Rawhide, however, OpenJade causes a fatal error, so
I've only done a test-build on FC3.
Comment 4 Tim Waugh 2005-03-24 09:27:03 EST
Thanks, I used the patch from comment #3.

Note You need to log in before you can comment on or make changes to this bug.